Bug 560740 - udev not creating /dev/lirc0 in f12
Summary: udev not creating /dev/lirc0 in f12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lirc
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-01 18:36 UTC by James Twyford
Modified: 2010-04-23 16:29 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32.10-90.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:24:31 UTC


Attachments (Terms of Use)

Description James Twyford 2010-02-01 18:36:48 UTC
In F11 and earlier /dev/lirc0 got created on boot and things worked fine. Now in F12, it doesn't. I did a clean install and not an upgrade from f11 to f12, so no old rpms are lying around, I hope.

# rpm -qa lirc\* udev\*
lirc-remotes-0.8.6-1.fc12.x86_64
lirc-libs-0.8.6-1.fc12.x86_64
lirc-devel-0.8.6-1.fc12.x86_64
udev-145-14.fc12.x86_64
lirc-0.8.6-1.fc12.x86_64

# cat /etc/udev/rules.d/93-lirc.rules 
KERNEL=="lirc[0-9]*",	NAME="lirc/%n"

# lspci -vs 4:1
04:01.0 Multimedia video controller: Conexant Systems, Inc. CX23418 Single-Chip MPEG-2 Encoder with Integrated Analog Video/Broadcast Audio Decoder
	Subsystem: Hauppauge computer works Inc. WinTV HVR-1600
	Flags: bus master, medium devsel, latency 64, IRQ 17
	Memory at f4000000 (32-bit, non-prefetchable) [size=64M]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
	Kernel driver in use: cx18
	Kernel modules: cx18

# lsmod|grep lirc
lirc_i2c                7732  0 
lirc_dev               19020  1 lirc_i2c
i2c_core               28976  13 lirc_i2c,nvidia,mxl5005s,s5h1409,tuner_simple,cs5345,tuner,cx18,i2c_algo_bit,v4l2_common,videodev,i2c_i801,tveeprom


/etc/sysconfig/lirc is unmodified from what's in the rpm.
/etc/lirc.conf is copied over from f11.
lirc starts up fine, but when I try to start any lirc clients (irw, mplayer, mythtv...), /var/log/messages says:
Feb  1 13:33:54 localhost lircd-0.8.6[2874]: accepted new client on /var/run/lirc/lircd
Feb  1 13:33:54 localhost lircd-0.8.6[2874]: could not get file information for /dev/lirc0
Feb  1 13:33:54 localhost lircd-0.8.6[2874]: default_init(): No such file or directory
Feb  1 13:33:54 localhost lircd-0.8.6[2874]: Failed to initialize hardware
Feb  1 13:33:54 localhost lircd-0.8.6[2874]: removed client

Yum isn't showing any updates.

Comment 1 Jarod Wilson 2010-02-01 19:03:50 UTC
lirc devices are created just fine here. I suspect the real problem is lirc_i2c not actually initializing correctly. If I recall correctly, there are fixes specific to the HVR-1600 that went into 2.6.32 -- this was actually a bit of the cx18 driver not getting properly updated for 2.6.31's new i2c binding model in time for 2.6.31.

Comment 2 Jarod Wilson 2010-03-09 17:40:24 UTC
Can you try the 2.6.32.x kernels from updates or updates-testing to see if this is already fixed?

Comment 3 James Twyford 2010-03-09 21:32:11 UTC
Both updates (2.6.32.9-67.fc12) and updates-testing (2.6.32.9-70.fc12) aren't showing any improvement.

Comment 4 Jarod Wilson 2010-03-09 22:01:01 UTC
Wait, HVR-1600... That has an ir blaster too, right? I believe you need to use lirc_zilog with that card, not lirc_i2c.

Comment 5 Fedora Update System 2010-03-23 14:56:12 UTC
kernel-2.6.32.10-90.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.32.10-90.fc12

Comment 6 Fedora Update System 2010-03-24 23:40:22 UTC
kernel-2.6.32.10-90.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.32.10-90.fc12

Comment 7 Fedora Update System 2010-03-30 02:23:52 UTC
kernel-2.6.32.10-90.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Raphael Groner 2010-04-23 04:48:09 UTC
Similiar problems here with F13 rawhide. It seems that lirc device node is not created at all, nevertheless if there is an udev rules file or not.

# lsusb |grep Remotec
Bus 001 Device 006: ID 0ad1:6130 Remotec Technology, Ltd 

# uname -r
2.6.33.2-57.fc13.x86_64

# cat /etc/udev/rules.d/10-lirc.rules
KERNEL=="lirc[0-9]*", NAME=="lirc%n", GROUP=="disk", MODE=="0660"
KERNEL=="lirc0", SYMLINK=="lirc"

Comment 9 Jarod Wilson 2010-04-23 16:29:46 UTC
(In reply to comment #8)
> Similiar problems here with F13 rawhide. It seems that lirc device node is not
> created at all, nevertheless if there is an udev rules file or not.
> 
> # lsusb |grep Remotec
> Bus 001 Device 006: ID 0ad1:6130 Remotec Technology, Ltd 
> 
> # uname -r
> 2.6.33.2-57.fc13.x86_64
> 
> # cat /etc/udev/rules.d/10-lirc.rules
> KERNEL=="lirc[0-9]*", NAME=="lirc%n", GROUP=="disk", MODE=="0660"
> KERNEL=="lirc0", SYMLINK=="lirc"    

This is a completely different problem you're seeing. The udev rule won't ever trigger unless there's a driver actually loading successfully for your device, and I don't see your device's id in any of the lirc drivers. Please either send mail to the lirc mailing list or file a new bug in RH bugzilla gainst the lirc component, with particulars on your device. If its just another mce transceiver, support should be simple enough to add. But its definitely a different issue from this already closed bug, so it should be tracked somewhere else.


Note You need to log in before you can comment on or make changes to this bug.